summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorSotirios Roussis2017-05-07 16:47:20 +0300
committerSotirios Roussis2017-05-07 16:47:20 +0300
commitd3ece89c5bc598994a88b9d4b16ec8e851bf7ea4 (patch)
treebe38351560af737943d7d67adcf8b7a160320551 /PKGBUILD
parent3e252d9bbfdee5aa05fd66138bebff61df4a5fa8 (diff)
downloadaur-d3ece89c5bc598994a88b9d4b16ec8e851bf7ea4.tar.gz
Shellcheck warnings removal and pkgversion corrections
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD36
1 files changed, 18 insertions, 18 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 4eb0b0bd93f..c9865b8a668 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,8 @@
_pkgname=airgeddon
pkgname=$_pkgname-git
-pkgver=6.2
-pkgrel=7
+pkgver=13.3e252d9
+pkgrel=8
pkgdesc='This is a multi-use bash script for Linux systems to audit wireless networks'
url='https://github.com/v1s1t0r1sh3r3/airgeddon'
license=('GPL3')
@@ -51,22 +51,22 @@ sha256sums=('SKIP')
arch=('any')
prepare() {
- if [ -d "$srcdir/${pkgname}" ]; then
- rm -rf "$srcdir/${pkgname}"
+ if [ -d "${srcdir:?}/${pkgname}" ]; then
+ rm -rf "${srcdir:?}/${pkgname}"
fi
- mkdir -p "$srcdir/${pkgname}"
- cd "$srcdir/${pkgname}"
+ mkdir -p "${srcdir:?}/${pkgname}"
+ cd "${srcdir:?}/${pkgname}" || echo "Cannot change directory" && exit
}
pkgver() {
- cd "${srcdir}/${_pkgname}"
+ cd "${srcdir:?}/${_pkgname}" || echo "Cannot change directory" && exit
- echo "${pkgver}"
+ echo "$(git rev-list --count HEAD)"."$(git rev-parse --short HEAD)"
}
prepare() {
- cd "$srcdir/${_pkgname}"
+ cd "$srcdir/${_pkgname}" || echo "Cannot change directory" && exit
echo " .-\"\"\"\"-."
echo " / \\"
@@ -84,25 +84,25 @@ prepare() {
}
package() {
- cd "${srcdir}/${_pkgname}"
+ cd "${srcdir:?}/${_pkgname}" || echo "Cannot change directory" && exit
- mkdir -p "$pkgdir/usr/bin"
- mkdir -p "$pkgdir/usr/share/airgeddon"
+ mkdir -p "${pkgdir:?}/usr/bin"
+ mkdir -p "${pkgdir:?}/usr/share/airgeddon"
- install -Dm644 -t "$pkgdir/usr/share/doc/airgeddon/" README.md CHANGELOG.md
- install -Dm644 LICENSE.md "$pkgdir/usr/share/licenses/airgeddon/LICENSE.md"
+ install -Dm644 -t "${pkgdir:?}/usr/share/doc/airgeddon/" README.md CHANGELOG.md
+ install -Dm644 LICENSE.md "${pkgdir:?}/usr/share/licenses/airgeddon/LICENSE.md"
- rm -rf *.md .git* binaries imgs Dockerfile pindb_checksum.txt
+ rm -rf ./*.md .git* binaries imgs Dockerfile pindb_checksum.txt
- cp -a --no-preserve=ownership * "$pkgdir/usr/share/airgeddon"
+ cp -a --no-preserve=ownership ./* "${pkgdir:?}/usr/share/airgeddon"
- cat > "$pkgdir/usr/bin/airgeddon" << EOF
+ cat > "${pkgdir:?}/usr/bin/airgeddon" << EOF
#!/bin/sh
cd /usr/share/airgeddon
exec bash airgeddon.sh "\${@}"
EOF
- chmod a+x "$pkgdir/usr/bin/airgeddon"
+ chmod a+x "${pkgdir:?}/usr/bin/airgeddon"
}
# vim: ts=2 sw=2 et: